/*************************************************************************\
* Copyright (c) 2006 The University of Chicago, as Operator of Argonne
*     National Laboratory.
* This software is distributed subject to a Software License Agreement
* found in file LICENSE that is included with this distribution.
\*************************************************************************/

#include <epicsStdio.h>
#include <asynDriver.h>

struct drvFlashBurnerMethods {
    void (*report)(void *dpvt, FILE *fp, int level);
    asynStatus  (*program)(void *dpvt, asynUser    *pasynUser,
                                       unsigned int address,
                                       void        *buf,
                                       int          count);
};

int devFlashBurnerRegister(const char *name,
                           const struct drvFlashBurnerMethods *methods,
                           void *dpvt);
